classification
Title: Lib/asyncio/events.py has tons of docstrings which are just "XXX"
Type: Stage:
Components: Library (Lib) Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: alex, gvanrossum, python-dev, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2014-04-16 15:34 by alex, last changed 2014-06-05 10:09 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
asyncio_events_docstring.patch vstinner, 2014-05-28 21:56 review
asyncio_events_docstring-2.patch vstinner, 2014-05-28 23:08 review
Messages (8)
msg216478 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-04-16 15:34
It would be nice if these said something useful. (http://hg.python.org/cpython/file/default/Lib/asyncio/events.py)
msg216482 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-04-16 16:01
I had plans to copy some documentation from python docs to asyncio docstrings. I'll try to do this sometime this week. Thanks for reminding us about the issue!
msg216483 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-04-16 16:04
My bad. But I think docstrings should NOT be just copies of the separate
docs.
On Apr 16, 2014 9:01 AM, "Yury Selivanov" <report@bugs.python.org> wrote:

>
> Yury Selivanov added the comment:
>
> I had plans to copy some documentation from python docs to asyncio
> docstrings. I'll try to do this sometime this week. Thanks for reminding us
> about the issue!
>
> ----------
> assignee:  -> yselivanov
> nosy: +gvanrossum, haypo, yselivanov
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue21252>
> _______________________________________
>
msg216484 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-04-16 16:06
> My bad. But I think docstrings should NOT be just copies of the separate
docs.

I agree. I didn't want to blindly copy them, but rather use existing documentation as guidance & baseline.
msg219309 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-05-28 21:56
A first patch to fill remaining XXX docstring of events.py.
msg219321 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-05-28 23:08
Updated patch to address Guido's remarks.

FYI I copied the documentation from the Doc repository and Lib/asyncio/unix_events.py (for "child watchers"), and so I copied typos :-) I tried to fix all copies of the documentation in my new patch.

I didn't mention the API of a "child watcher" because the class is not documented yet... nor get_child_watcher and set_child_watcher functions! (I mean not documented in the Doc/ directory). I suggest to open a new issue to enhance the documentation of this part of the part.
msg219789 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-05 10:09
New changeset d1712437cab2 by Victor Stinner in branch '3.4':
Tulip issue 83, Python issue #21252: Fill some XXX docstrings in asyncio
http://hg.python.org/cpython/rev/d1712437cab2

New changeset 782c3b4cbc88 by Victor Stinner in branch 'default':
(Merge 3.4) Tulip issue 83, Python issue #21252: Fill some XXX docstrings in asyncio
http://hg.python.org/cpython/rev/782c3b4cbc88
msg219790 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-06-05 10:09
Fixed. See also the Tulip issue https://code.google.com/p/tulip/issues/detail?id=83
History
Date User Action Args
2014-06-05 10:09:27vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg219790
2014-06-05 10:09:05python-devsetnosy: + python-dev
messages: + msg219789
2014-05-28 23:08:32vstinnersetfiles: + asyncio_events_docstring-2.patch

messages: + msg219321
2014-05-28 21:56:52vstinnersetfiles: + asyncio_events_docstring.patch
keywords: + patch
messages: + msg219309
2014-04-16 16:06:57yselivanovsetmessages: + msg216484
2014-04-16 16:04:23gvanrossumsetmessages: + msg216483
2014-04-16 16:01:51yselivanovsetassignee: yselivanov

messages: + msg216482
nosy: + gvanrossum, vstinner, yselivanov
2014-04-16 15:34:14alexcreate